Help Skript says something "An internal error"

Discussion in 'Skript' started by NATroutter, Dec 10, 2016.

  1. Please someone help me when i'm make "/sk reload Hub" this error comes out
    Hub Skript:
    Code (Text):

    options:
        Prefix: &3DifferentExotic &8»


    on join:
        teleport player to {Hub}
       
    command /setHub:
        trigger:
            set {Hub} to location of the player
            message "{@Prefix} &7Hub location is now &c%{Hub}%"
           
    command /Hub:
        trigger:
            teleport player to {Hub}
            message "{@Prefix} &7Teleportting..."
       
       
    every 1 seconds:
        loop all players:
            if loop-player is in world "Hub":
                message "a" to loop-player

     
    Error:
    Code (Text):

    [11:05:01 INFO]: [Skript] An internal error occurred while checking for the latest version of Skript. Please refer to the server log for details.
    [11:05:01 ERROR]: #!#!
    [11:05:01 ERROR]: #!#! [Skript] Severe Error:
    [11:05:01 ERROR]: #!#! Unexpected error while checking for a new version of Skript
    [11:05:01 ERROR]: #!#!
    [11:05:01 ERROR]: #!#! If you're developing an add-on for Skript this likely means that you have done something wrong.
    [11:05:01 ERROR]: #!#! If you're a server admin however please go to http://dev.bukkit.org/server-mods/skript/tickets/
    [11:05:01 ERROR]: #!#! and check whether this error has already been reported.
    [11:05:01 ERROR]: #!#! If not please create a new ticket with a meaningful title, copy & paste this whole error into it,
    [11:05:01 ERROR]: #!#! and describe what you did before it happened and/or what you think caused the error.
    [11:05:01 ERROR]: #!#! If you think that it's a trigger that's causing the error please post the trigger as well.
    [11:05:01 ERROR]: #!#! By following this guide fixing the error should be easy and done fast.
    [11:05:01 ERROR]: #!#!
    [11:05:01 ERROR]: #!#! Stack trace:
    [11:05:01 ERROR]: #!#! javax.xml.stream.XMLStreamException: ParseError at [row,col]:[1,1]
    Message: Premature end of file.
    [11:05:01 ERROR]: #!#!     at com.sun.org.apache.xerces.internal.impl.XMLStreamReaderImpl.next(XMLStreamReaderImpl.java:596)
    [11:05:01 ERROR]: #!#!     at com.sun.xml.internal.stream.XMLEventReaderImpl.nextEvent(XMLEventReaderImpl.java:83)
    [11:05:01 ERROR]: #!#!     at ch.njol.skript.Updater.getChangelogs(Updater.java:286)
    [11:05:01 ERROR]: #!#!     at ch.njol.skript.Updater$2.run(Updater.java:210)
    [11:05:01 ERROR]: #!#!     at java.lang.Thread.run(Thread.java:745)
    [11:05:01 ERROR]: #!#!
    [11:05:01 ERROR]: #!#! Version Information:
    [11:05:01 ERROR]: #!#!   Skript: 2.2-Fixes-V8b
    [11:05:01 ERROR]: #!#!   Bukkit: 1.9.4-R0.1-SNAPSHOT
    [11:05:01 ERROR]: #!#!   Minecraft: 1.9.4
    [11:05:01 ERROR]: #!#!   Java: 1.8.0_101 (Java HotSpot(TM) 64-Bit Server VM 25.101-b13)
    [11:05:01 ERROR]: #!#!   OS: Linux amd64 2.6.32-45-pve
    [11:05:01 ERROR]: #!#!
    [11:05:01 ERROR]: #!#! Running CraftBukkit: false
    [11:05:01 ERROR]: #!#!
    [11:05:01 ERROR]: #!#! Current node: null
    [11:05:01 ERROR]: #!#! Current item: null
    [11:05:01 ERROR]: #!#!
    [11:05:01 ERROR]: #!#! Thread: Skript update thread
    [11:05:01 ERROR]: #!#!
    [11:05:01 ERROR]: #!#! End of Error.
    [11:05:01 WARN]: #!#!
    [11:05:01 WARN]: #!#! [Umbaska] List of plugins:
    [11:05:01 WARN]: #!#! CoreProtect - 2.12.0, WorldEdit - 6.1.5;4651611, DisableJoinMessage - 1.0, EnchantsPlus - 1.7.0b, PvP_Revamped - 1.0, Multiverse-Core - 2.5-b719, WorldGuard - 6.1.3-SNAPSHOT;c904242, SoupChest - 1.0, SignEdit - 3.3.10, SuperTrails - 9.6.4, MaxBans - 2.0, VoxelSniper - 5.171.0-SNAPSHOT, WildSkript - 1.9, PermissionsEx - 1.23.4, InstaSoup - 1.0, ViaVersion - 1.0.1, Tablist - 1.3.1.11, Vault - 1.5.6-b49, ViaBackwards - 2.0, InfiniteBlocks - 2.2, Skript - 2.2-Fixes-V8b, Essentials - TeamCity, SimpleRename - 9.5, SkQuery - 3.22.1, ExtrasSK - 1.1, WarpPortals - 5.6.3, KingKits - 5.1.3, ProtocolLib - 4.1.0, skRayFall - 1.9.5, EssentialsProtect - TeamCity, MundoSK - 1.6.11, EssentialsChat - TeamCity, skUtilities - 0.6.9, Umbaska - 2.0 Beta 5.5.1, ServerSigns - 4.5.1, ServerListPlus - 3.4.7, RandomSK - 2.7.1, EssentialsSpawn - TeamCity
    [11:05:01 WARN]: #!#!
    [11:05:01 WARN]: #!#! [Umbaska] List of addons:
    [11:05:01 WARN]: #!#! skUtilities v0.6.9skRayFall v1.9.5Umbaska v2.0 Beta 5.5.1SkQuery v3.22.1ExtrasSK v1.1RandomSK v2.7.1WildSkript v1.9MundoSK v1.6.11
    [11:05:01 WARN]: #!#!
    [11:05:01 ERROR]: #!#!
    [11:05:01 INFO]: [Skript] You're currently running a beta version of Skript, and no new stable version is available. Please note that you have to update to newer beta versions manually!

     
     
  2. Check for tabs at the end of your skript file, remove those.
     
  3. I've checked it twice already
     
  4. Does it occur with other skripts too, or just this one?
     
  5. No that error but this error comes out when i reload my another skript
    and i have only 2 skript in my server
    Code (Text):

    [11:28:59 INFO]: [Skript] Can't find the script 'BuilPvP.sk' in the scripts folder!
    >sk reload BuildPvP
    [11:29:05 INFO]: [Skript] Reloading BuildPvP.sk...
    [11:29:05 WARN]: Unexpected exception while parsing console command "sk reload BuildPvP"
    org.bukkit.command.CommandException: Unhandled exception executing command 'sk' in plugin Skript v2.2-Fixes-V8b
            at org.bukkit.command.PluginCommand.execute(PluginCommand.java:46) ~[Spigot-1.9.4.jar:git-Spigot-4af49dc-c5e9a16]
            at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) ~[Spigot-1.9.4.jar:git-Spigot-4af49dc-c5e9a16]
            at org.bukkit.craftbukkit.v1_9_R2.CraftServer.dispatchCommand(CraftServer.java:645) ~[Spigot-1.9.4.jar:git-Spigot-4af49dc-c5e9a16]
            at org.bukkit.craftbukkit.v1_9_R2.CraftServer.dispatchServerCommand(CraftServer.java:631) [Spigot-1.9.4.jar:git-Spigot-4af49dc-c5e9a16]
            at net.minecraft.server.v1_9_R2.DedicatedServer.aL(DedicatedServer.java:437) [Spigot-1.9.4.jar:git-Spigot-4af49dc-c5e9a16]
            at net.minecraft.server.v1_9_R2.DedicatedServer.D(DedicatedServer.java:400) [Spigot-1.9.4.jar:git-Spigot-4af49dc-c5e9a16]
            at net.minecraft.server.v1_9_R2.MinecraftServer.C(MinecraftServer.java:665) [Spigot-1.9.4.jar:git-Spigot-4af49dc-c5e9a16]
            at net.minecraft.server.v1_9_R2.MinecraftServer.run(MinecraftServer.java:564) [Spigot-1.9.4.jar:git-Spigot-4af49dc-c5e9a16]
            at java.lang.Thread.run(Thread.java:745) [?:1.8.0_101]
    Caused by: java.lang.NoSuchMethodError: com.sk89q.worldguard.protection.flags.DefaultFlag.fuzzyMatchFlag(Ljava/lang/String;)Lcom/sk89q/worldguard/protection/flags/Flag;
            at uk.co.umbaska.Managers.Enums$10.parse(Enums.java:425) ~[?:?]
            at uk.co.umbaska.Managers.Enums$10.parse(Enums.java:422) ~[?:?]
            at ch.njol.skript.registrations.Classes.parseSimple(Classes.java:400) ~[?:?]
            at ch.njol.skript.registrations.Classes.parse(Classes.java:429) ~[?:?]
            at ch.njol.skript.lang.UnparsedLiteral.getConvertedExpression(UnparsedLiteral.java:97) ~[?:?]
            at ch.njol.skript.lang.UnparsedLiteral.getConvertedExpression(UnparsedLiteral.java:86) ~[?:?]
            at ch.njol.skript.lang.UnparsedLiteral.getConvertedExpression(UnparsedLiteral.java:1) ~[?:?]
            at ch.njol.skript.conditions.CondCompare.init(CondCompare.java:171) ~[?:?]
            at ch.njol.skript.conditions.CondCompare.init(CondCompare.java:131) ~[?:?]
            at ch.njol.skript.lang.SkriptParser.parse(SkriptParser.java:248) ~[?:?]
            at ch.njol.skript.lang.SkriptParser.parse(SkriptParser.java:175) ~[?:?]
            at ch.njol.skript.lang.Condition.parse(Condition.java:83) ~[?:?]
            at ch.njol.skript.ScriptLoader.loadItems(ScriptLoader.java:729) ~[?:?]
            at ch.njol.skript.command.Commands.loadCommand(Commands.java:467) ~[?:?]
            at ch.njol.skript.ScriptLoader.loadScript(ScriptLoader.java:469) ~[?:?]
            at ch.njol.skript.ScriptLoader.loadScripts(ScriptLoader.java:268) ~[?:?]
            at ch.njol.skript.SkriptCommand.onCommand(SkriptCommand.java:155) ~[?:?]
            at org.bukkit.command.PluginCommand.execute(PluginCommand.java:44) ~[Spigot-1.9.4.jar:git-Spigot-4af49dc-c5e9a16]
            ... 8 more

     
     
  6. Yeah, that error is different.
    Then it should be just a syntax error in your first skript.

    The only question is where.
     
  7. This is my second Skript

    Code (Text):

    options:
        Prefix: &9BuildPvP &8»

    command /BuildPvP:
        trigger:
            if arg 1 is "KitMenu":
                open chest with 6 rows named "&3&lKitSelector" to player
                format slot 2 of player with diamond sword to run [broadcast "test"]
     
    when i'm edit that little bit
    New one looks like this
    Code (Text):

    options:
        Prefix: &9BuildPvP &8»

    command /BuildPvP:
        trigger:
          message "a"
     
    and now when i'm reload that skript no errors comes out but when i'm reload nyt Hub skript Then this error comes out
    Code (Text):

    [11:45:09 INFO]: [Skript] Reloading Hub.sk...
    [11:45:09 WARN]: Unexpected exception while parsing console command "sk reload Hub"
    org.bukkit.command.CommandException: Unhandled exception executing command 'sk' in plugin Skript v2.2-Fixes-V8b
            at org.bukkit.command.PluginCommand.execute(PluginCommand.java:46) ~[Spigot-1.9.4.jar:git-Spigot-4af49dc-c5e9a16]
            at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) ~[Spigot-1.9.4.jar:git-Spigot-4af49dc-c5e9a16]
            at org.bukkit.craftbukkit.v1_9_R2.CraftServer.dispatchCommand(CraftServer.java:645) ~[Spigot-1.9.4.jar:git-Spigot-4af49dc-c5e9a16]
            at org.bukkit.craftbukkit.v1_9_R2.CraftServer.dispatchServerCommand(CraftServer.java:631) [Spigot-1.9.4.jar:git-Spigot-4af49dc-c5e9a16]
            at net.minecraft.server.v1_9_R2.DedicatedServer.aL(DedicatedServer.java:437) [Spigot-1.9.4.jar:git-Spigot-4af49dc-c5e9a16]
            at net.minecraft.server.v1_9_R2.DedicatedServer.D(DedicatedServer.java:400) [Spigot-1.9.4.jar:git-Spigot-4af49dc-c5e9a16]
            at net.minecraft.server.v1_9_R2.MinecraftServer.C(MinecraftServer.java:665) [Spigot-1.9.4.jar:git-Spigot-4af49dc-c5e9a16]
            at net.minecraft.server.v1_9_R2.MinecraftServer.run(MinecraftServer.java:564) [Spigot-1.9.4.jar:git-Spigot-4af49dc-c5e9a16]
            at java.lang.Thread.run(Thread.java:745) [?:1.8.0_101]
    Caused by: java.lang.NoSuchMethodError: com.sk89q.worldguard.protection.flags.DefaultFlag.fuzzyMatchFlag(Ljava/lang/String;)Lcom/sk89q/worldguard/protection/flags/Flag;
            at uk.co.umbaska.Managers.Enums$10.parse(Enums.java:425) ~[?:?]
            at uk.co.umbaska.Managers.Enums$10.parse(Enums.java:422) ~[?:?]
            at ch.njol.skript.registrations.Classes.parseSimple(Classes.java:400) ~[?:?]
            at ch.njol.skript.registrations.Classes.parse(Classes.java:429) ~[?:?]
            at ch.njol.skript.lang.UnparsedLiteral.getConvertedExpression(UnparsedLiteral.java:97) ~[?:?]
            at ch.njol.skript.lang.UnparsedLiteral.getConvertedExpression(UnparsedLiteral.java:86) ~[?:?]
            at ch.njol.skript.lang.UnparsedLiteral.getConvertedExpression(UnparsedLiteral.java:1) ~[?:?]
            at ch.njol.skript.conditions.CondCompare.init(CondCompare.java:179) ~[?:?]
            at ch.njol.skript.conditions.CondCompare.init(CondCompare.java:131) ~[?:?]
            at ch.njol.skript.lang.SkriptParser.parse(SkriptParser.java:248) ~[?:?]
            at ch.njol.skript.lang.SkriptParser.parse(SkriptParser.java:175) ~[?:?]
            at ch.njol.skript.lang.Condition.parse(Condition.java:83) ~[?:?]
            at ch.njol.skript.ScriptLoader.loadItems(ScriptLoader.java:729) ~[?:?]
            at ch.njol.skript.lang.Loop.<init>(Loop.java:68) ~[?:?]
            at ch.njol.skript.ScriptLoader.loadItems(ScriptLoader.java:686) ~[?:?]
            at ch.njol.skript.ScriptLoader.loadScript(ScriptLoader.java:510) ~[?:?]
            at ch.njol.skript.ScriptLoader.loadScripts(ScriptLoader.java:268) ~[?:?]
            at ch.njol.skript.SkriptCommand.onCommand(SkriptCommand.java:155) ~[?:?]
            at org.bukkit.command.PluginCommand.execute(PluginCommand.java:44) ~[Spigot-1.9.4.jar:git-Spigot-4af49dc-c5e9a16]
            ... 8 more

     
    and my server crash
     
  8. 1. If you're going to use Skript on 1.9+ I recommend the Bensku's fork due to it's the only one which support 1.9 and up (I recommend the dev20b if the latest doesn't work for you).

    2. The first stack trace is because the updater is broken in older versions of Skript, disabling it at the config.sk will solve the problem.

    3. The second and third stack trace is because the in the latest versions of WG, the canConstruct flag was removed and then that broke the support for it (don't worry on report the issue, the Umbaska team is working on Umbaska 3 right now and they doesn't support Umbaska 2 anymore, Umbaska 3 will be released soon anyways). What you can do is downgrade your version of WG if you want.

    4. If you're going to use the Bensku's fork, I'll say you that it's not compatible with Umbaska due to some classinfos are registered in that version of Skript and in Umbaska too which makes some issues when you use them simultaneously (Umbaska should work anyways, you'll receive some stack traces and warnings but you can just override those).